!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine NumDiffusionScalar
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: numdiffusionscalar.f90,v 1.4 2005/02/03 13:46:55 odakker Exp $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!Ǵɾ. 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!Ǵ arareprm , \nu = \frac{\alpha \DeltaX}{\Delta t} Ƿ. 
!\alpha < 1/8 Ǥ. 
!CReSS ޥ˥奢뻲. 
!
!== Future Plans
!
                                                                 !=end

subroutine NumDiffusionScalar(ss_PotTemp_n, ss_NumDiffScalar_n)
                                                                 !=begin  
  !== Dependency 
  use dc_trace, only: BeginSub, EndSub
  use gridset,  only: DimXMin, DimXMax, DimZMin, DimZMax
  use differentiate,  only: ss_dx_fs, fs_dx_ss, ss_dz_sf, sf_dz_ss
  use arareprm, only: Cm, NuH, NuV
                                                                 !=end  
  !--- ۤηػ
  implicit none
                                                                 !=begin    
  !== Input 
  real(8), intent(in) :: ss_PotTemp_n(DimXMin:DimXMax, DimZMin:DimZMax) !
  
  !== Output
  real(8), intent(out) :: ss_NumDiffScalar_n(DimXMin:DimXMax, DimZMin:DimZMax) !Ǵ
                                                                 !=end

  call BeginSub("NumDiffusionScalar", &
&       fmt="%c",       &
&       c1="Calculate numerical diffusion term for scalar (ss_NumDiffScalar).")

  !--- Ȼ 
  ss_NumDiffScalar_n = &
       &   NuH * ( ss_dx_fs( fs_dx_ss( ss_PotTemp_n) ) ) &
       & + NuV * ( ss_dz_sf( sf_dz_ss( ss_PotTemp_n) ) ) 
  
  call EndSub("NumDiffusionScalar")

end subroutine NumDiffusionScalar
